Volume resets after stop/start (PulseAudio network sink)
Status: Closed Start date: June 06, 2019

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.10   

Description

Observed on 3.10 on Ubuntu 18.04.2.

Repro:

1. Start a track. Track can either be a local file or a remote stream/file.

2. Adjust the volume (ex: to 50%)

3. Stop the track with the Stop button.

4. Start the same track, or another track, by double-clicking the track.

Expected:

The newly selected track starts, retaining the previously set volume.

Actual:

The newly selected track starts, but the volume resets to 100%.

History

#1 - June 07, 2019 10:05 - Michael Schwendt

Which audio output plugin do you use? (menu File > Settings > Audio > Output Settings)

#2 - June 07, 2019 17:23 - Tupper .

Michael Schwendt wrote:

Which audio output plugin do you use? (menu File > Settings > Audio > Output Settings)

 

PulseAudio.

So normally, my setup involves sending audio over the network to another PC via a Pulse network sink. However, that PC recently exploded (rest in

piece, 9900k) and while I'm waiting on a replacement, I'm using the PC that's running Audacious as my main machine. The bug doesn't occur when

Pulse isn't dumping into a network sink.

#3 - June 07, 2019 21:12 - Michael Schwendt

The bug doesn't occur when Pulse isn't dumping into a network sink.
Well, it is PulseAudio server that remembers stream/device volume levels and restores them on a per user/per application basis. Audacious doesn't

need to save and restore the volume levels.

#4 - August 15, 2019 04:28 - John Lindgren

- Subject changed from Volume resets when you stop a track and start a new one to Volume resets after stop/start (PulseAudio network sink)

- Tracker changed from Bug to Support

#5 - August 22, 2019 17:19 - John Lindgren

- Status changed from New to Closed

This issue should be raised with the PulseAudio developers.

Powered by TCPDF (www.tcpdf.org)

July 03, 2025 2/2

http://www.tcpdf.org

